I just booted up a unit that has been on the shelf for some time and when I click on Check for Upgrades in the /administration/modules I receive an error "Error checking for upgrades - Invalid response code 302, reason=Found:"
It's currently running Core 3.3.4

From a shell session I can run apt-get and ping which work. Any suggestions on how to update this unit?